> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all activities

> List all activities



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /customers/visitors/{id}/activities
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/visitors/{id}/activities:
    parameters:
      - name: id
        in: path
        description: visitor id
        required: true
        schema:
          type: string
    get:
      tags:
        - Customers
      summary: List all activities
      description: List all activities
      operationId: list-visitor-activity
      parameters:
        - $ref: '#/components/parameters/searchKeyword'
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      activities:
                        type: array
                        items:
                          $ref: '#/components/schemas/AnalyticsActivity'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
  schemas:
    AnalyticsActivity:
      title: AnalyticsActivity
      type: object
      properties:
        id:
          type: string
        event_type:
          enum:
            - track
            - page
            - identity
        event_name:
          type: string
        event_schema_id:
          type: string
        session_id:
          type: string
        session_origin_url:
          type: string
        session_last_seen:
          type: string
          format: date-time
        user_id:
          type: string
        event_data:
          description: analytic event raw json object.
          type: object
        channel:
          type: string
        created_at:
          type: string
          format: date-time
        message_id:
          type: string
        original_timestamp:
          type: string
          format: date-time
        sent_at:
          type: string
          format: date-time
        received_at:
          type: string
          format: date-time
        anonymous_id:
          description: in case user id is missing.
          type: string
      x-tags:
        - Analytics
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````